<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFWorkbookFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFWorkbookFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFWorkbookFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookType.html"
               title="enum in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFWorkbookFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFWorkbookFactory" class="title">Class XSSFWorkbookFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html"
                       title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.WorkbookFactory</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFWorkbookFactory</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFWorkbookFactory</span>
extends <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html"
           title="class in org.apache.poi.ss.usermodel">WorkbookFactory</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#XSSFWorkbookFactory--">XSSFWorkbookFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#create-org.apache.poi.openxml4j.opc.OPCPackage-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>
                                    <div class="block">Creates a XSSFWorkbook from the given OOXML Package.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#createWorkbook--">createWorkbook</a></span>()</code>
                                    <div class="block">Create a new empty Workbook</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#createWorkbook-java.io.File-boolean-">createWorkbook</a></span>(java.io.File&nbsp;file,
                                    boolean&nbsp;readOnly)</code>
                                    <div class="block">Creates the XSSFWorkbook from the given File, which must exist
                                        and be readable.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#createWorkbook-java.io.InputStream-">createWorkbook</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">Creates a XSSFWorkbook from the given InputStream</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#createWorkbook-org.apache.poi.openxml4j.opc.OPCPackage-">createWorkbook</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>
                                    <div class="block">Creates a XSSFWorkbook from the given OOXML Package</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html#createWorkbook-org.apache.poi.openxml4j.opc.ZipPackage-">createWorkbook</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">ZipPackage</a>&nbsp;pkg)</code>
                                    <div class="block">Creates a XSSFWorkbook from the given OOXML Package</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.WorkbookFactory">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html"
                                        title="class in org.apache.poi.ss.usermodel">WorkbookFactory</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-boolean-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-java.lang.String-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-java.lang.String-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.File-java.lang.String-boolean-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.InputStream-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.io.InputStream-java.lang.String-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-java.lang.Object-">create</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html#create-org.apache.poi.poifs.filesystem.POIFSFileSystem-">create</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFWorkbookFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFWorkbookFactory</h4>
                                <pre>public&nbsp;XSSFWorkbookFactory()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createWorkbook--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;createWorkbook()</pre>
                                <div class="block">Create a new empty Workbook</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;create(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)
                           throws java.io.IOException</pre>
                                <div class="block">Creates a XSSFWorkbook from the given OOXML Package.
                                    This is a convenience method to go along the create-methods of the super class.

                                    <p>Note that in order to properly release resources the
                                        Workbook should be closed after use.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pkg</code> - The <a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>OPCPackage</code></a>
                                        opened for reading data.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created Workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createWorkbook-org.apache.poi.openxml4j.opc.ZipPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;createWorkbook(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">ZipPackage</a>&nbsp;pkg)
                                   throws java.io.IOException</pre>
                                <div class="block">Creates a XSSFWorkbook from the given OOXML Package

                                    <p>Note that in order to properly release resources the
                                        Workbook should be closed after use.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pkg</code> - The <a
                                            href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>ZipPackage</code></a>
                                        opened for reading data.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created Workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createWorkbook-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;createWorkbook(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)
                                   throws java.io.IOException</pre>
                                <div class="block">Creates a XSSFWorkbook from the given OOXML Package

                                    <p>Note that in order to properly release resources the
                                        Workbook should be closed after use.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pkg</code> - The <a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>OPCPackage</code></a>
                                        opened for reading data.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created Workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createWorkbook-java.io.File-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;createWorkbook(java.io.File&nbsp;file,
                                          boolean&nbsp;readOnly)
                                   throws java.io.IOException,
                                          <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                             title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Creates the XSSFWorkbook from the given File, which must exist and be
                                    readable.
                                    <p>Note that in order to properly release resources the Workbook should be closed
                                        after use.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>file</code> - The file to read data from.</dd>
                                    <dd><code>readOnly</code> - If the Workbook should be opened in read-only mode to
                                        avoid writing back
                                        changes when the document is closed.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created Workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        If the wrong password is given for a protected file
                                    </dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createWorkbook-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;createWorkbook(java.io.InputStream&nbsp;stream)
                                   throws java.io.IOException,
                                          <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                             title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Creates a XSSFWorkbook from the given InputStream

                                    <p>Note that in order to properly release resources the
                                        Workbook should be closed after use.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - The <code>InputStream</code> to read data from.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created Workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - if the package is not valid.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFWorkbookFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookType.html"
               title="enum in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFWorkbookFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
